#### D.5.5.6 identifyvar

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  identifyvar();

Compute:
  Asign 0 to variables x and 1 to variables y, only necessary at the beginning

Return:
  list, say l, of size the dimension of the basering
  l[i] is: 0 if the i-th variable is x(i),
  1 if the i-th variable is y(i)

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1),y(2),x(3),y(4),x(5..7),y(8)),dp;
    identifyvar();
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    1
    ==> [5]:
    ==>    0
    ==> [6]:
    ==>    0
    ==> [7]:
    ==>    0
    ==> [8]:
    ==>    1

User manual for Singular version 4-0-3, 2016, generated by texi2html.